import { DefaultValuePipe } from "@nestjs/common";
import { IsUUID, MaxLength, MinLength } from "class-validator";

export class CreateFilesDto {
	@MaxLength(128)
	@MinLength(4)
	fileName: string;

	@MaxLength(64)
	@MinLength(2)
	uploadedBy: string;

	isDocumentation?: boolean;
	isRestricted?: boolean;

	@IsUUID()
	groupId: string;
}

export class CreateFileTypeDto {
	@MaxLength(128)
	@MinLength(3)
	name: string;

	@MaxLength(64)
	@MinLength(4)
	mime: string;
}
